pop_back.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/dec.hpp>`
`#include <msgpack/preprocessor/array/elem.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/repetition/enum.hpp>`
`#include <msgpack/preprocessor/repetition/deduce_z.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_POP_BACK(array) MSGPACK_PP_ARRAY_POP_BACK_Z(MSGPACK_PP_DEDUCE_Z(), array)
#define | MSGPACK_PP_ARRAY_POP_BACK_Z(z, array) MSGPACK_PP_ARRAY_POP_BACK_Z_D(z, array)
#define | MSGPACK_PP_ARRAY_POP_BACK_Z_D(z, array) MSGPACK_PP_ARRAY_POP_BACK_I(z, MSGPACK_PP_ARRAY_SIZE(array), array)
#define | MSGPACK_PP_ARRAY_POP_BACK_I(z, size, array) (MSGPACK_PP_DEC(size), (MSGPACK_PP_ENUM_ ## z(MSGPACK_PP_DEC(size), MSGPACK_PP_ARRAY_POP_BACK_M, array)))
#define | MSGPACK_PP_ARRAY_POP_BACK_M(z, n, data) MSGPACK_PP_ARRAY_ELEM(n, data)

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_POP_BACK

#define MSGPACK_PP_ARRAY_POP_BACK | ( |  | array | ) | MSGPACK_PP_ARRAY_POP_BACK_Z(MSGPACK_PP_DEDUCE_Z(), array)

## MSGPACK_PP_ARRAY_POP_BACK_I

#define MSGPACK_PP_ARRAY_POP_BACK_I | ( |  | z,
|  |  | size,
|  |  | array
| ) |  | (MSGPACK_PP_DEC(size), (MSGPACK_PP_ENUM_ ## z(MSGPACK_PP_DEC(size), MSGPACK_PP_ARRAY_POP_BACK_M, array)))

## MSGPACK_PP_ARRAY_POP_BACK_M

#define MSGPACK_PP_ARRAY_POP_BACK_M | ( |  | z,
|  |  | n,
|  |  | data
| ) |  | MSGPACK_PP_ARRAY_ELEM(n, data)

## MSGPACK_PP_ARRAY_POP_BACK_Z

#define MSGPACK_PP_ARRAY_POP_BACK_Z | ( |  | z,
|  |  | array
| ) |  | MSGPACK_PP_ARRAY_POP_BACK_Z_D(z, array)

## MSGPACK_PP_ARRAY_POP_BACK_Z_D

#define MSGPACK_PP_ARRAY_POP_BACK_Z_D | ( |  | z,
|  |  | array
| ) |  | MSGPACK_PP_ARRAY_POP_BACK_I(z, MSGPACK_PP_ARRAY_SIZE(array), array)